Bug 1259555 - Changing the Storage Node JMX port does not update the JMX connection URL
Changing the Storage Node JMX port does not update the JMX connection URL
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server, Storage Node (Show other bugs)
JON 3.3.0
Unspecified Unspecified
unspecified Severity medium
: ER02
: JON 3.3.4
Assigned To: RHQ Project Maintainer
Sunil Kondkar
: Triaged
Depends On: 1259554
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 22:59 EDT by John Sanda
Modified: 2015-10-28 10:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1259554
Environment:
Last Closed: 2015-10-28 10:37:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2015-09-02 22:59:20 EDT
+++ This bug was initially created as a clone of Bug #1259554 +++

Description of problem:
The Storage Node administration exposes the JMX port in both the admin UI and in the CLI. This is the port on which the Storage Node listens for JMX requests. Most management of the Storage Node is done via JMX. If you change the JMX port in the admin UI for example, the underlying connection URL does not get updated. The Storage Node is reported down, and management/monitoring of the Storage Node is broken. This can be fixed by going to the Storage Node resource in the inventory UI, then go to the connection settings, and then update the Manager URL property with the new port. This will fix the JMX connection problem, but the Jmx Port property in the connection settings will still show the original port.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Libor Zoubek 2015-09-03 08:23:45 EDT
setting to POST, upstream BZ was fixed in master commit:  021df29a527b6c3e334abe305005038915883314
Comment 2 Simeon Pinder 2015-09-18 15:06:04 EDT
cherry-picked to release/jon3.3.x:

commit: 6e65b3e99ceb950796580cb6f648b12703f31003
Author:     Libor Zoubek <lzoubek@redhat.com>
AuthorDate:: Thu Sep 3 14:14:27 2015 +0200
Commit:     Simeon Pinder <spinder@redhat.com>
CommitDate: Fri Sep 18 15:01:10 2015 -0400

    Bug 1259554 - Changing the Storage Node JMX port does not update the JMX
    connection URL
Comment 3 Simeon Pinder 2015-10-09 00:40:11 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com/buildinfo?buildID=460382

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-04.zip.
Comment 4 Simeon Pinder 2015-10-15 01:17:56 EDT
Moving target milestone to ER02 to retest after latest Cassandra changes.
Comment 5 Simeon Pinder 2015-10-15 01:22:32 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com//buildinfo?buildID=461043

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER02 build of
 jon-server-3.3.0.GA-update-04.zip.
Comment 6 Sunil Kondkar 2015-10-21 08:58:03 EDT
Verified on 3.3.0.GA Update 04 Build Number :e9ed05b:aa79ebd

Changed the JMX port in the admin UI. The storage node availability soon changes to Down. After agent restart, verified that the connection properties of storage node resource displays the changed JMX port number in 'Manager URL' and 'Jmx Port' property. 
Also verified that the changed JMX port is reflected in Administration->Storage Nodes->Nodes UI.
Comment 8 errata-xmlrpc 2015-10-28 10:37:32 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1947.html

Note You need to log in before you can comment on or make changes to this bug.